apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: monitoring-governance
  namespace: argocd
spec:
  project: default
  source:
    repoURL: https://gitea.cruzcloud.net/devops/platform-infra.git
    path: monitoring-governance
    targetRevision: main
  destination:
    server: https://kubernetes.default.svc
    namespace: monitoring
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true